Delete a Groundplex

DELETE https://{controlplane_path}/api/1/rest/public/snaplex/<snaplex_path>      

Overview

This API deletes the Groundplex from the Environment/Org.

Prerequisites

  • Environment (Org) admin permissions
Important:

The API deletes a Groundplex only when both of these are true:

  • The Groundplex has no nodes.
  • No testing or published APIM 3.0 Service version uses the Groundplex. If one does, the API returns HTTP 409, and the error message lists the path of each Service version that uses it. If only unpublished Service versions use the Groundplex, the API removes the Groundplex from those versions and then deletes it.

Request

     DELETE https://{controlplane_path}/api/1/rest/public/snaplex/<snaplex_path>

Path parameters

Key Description
controlplane_path Required. The SnapLogic control plane host: elastic.snaplogic.com (US) or emea.snaplogic.com (EU).
snaplex_path Required.The path to the Snaplex.

Example: /snaplogic/shared/Mycloud

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None


                {
                    "response_map": {
                    "success": true
                },
                    "http_status_code": 200
                }